%global pypi_name semantic-version
%global srcname semantic_version

Name:           python-%{pypi_name}
Version:        2.10.0
Release:        %mkrel 2
Summary:        Library implementing the 'SemVer' scheme
Group:          Development/Python
License:        BSD
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This small python library provides a few tools to handle SemVer in Python. It
follows strictly the 2.0.0 version of the SemVer scheme.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
Obsoletes:      python3-semantic_version < 2.10.0
Obsoletes:      python-semantic_version-doc < 2.10.0

%description -n python3-%{pypi_name}
This small python library provides a few tools to handle SemVer in Python. It
follows strictly the 2.0.0 version of the SemVer scheme.

%prep
%autosetup -n %{srcname}-%{version}

# Drop unnecessary dependency
sed -i '/zest\.releaser\[recommended\]/d' setup.cfg

%generate_buildrequires
%pyproject_buildrequires -t -x doc

%build
%pyproject_wheel

# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst ChangeLog
%doc html


%changelog
* Sun Feb 12 2023 wally <wally> 2.10.0-2.mga9
+ Revision: 1940931
- drop old doc pkg

* Sat Feb 11 2023 wally <wally> 2.10.0-1.mga9
+ Revision: 1940167
- rename src rpm as python-semantic-version
- new version 2.10.0

* Tue Mar 29 2022 umeabot <umeabot> 2.8.5-4.mga9
+ Revision: 1833210
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2.8.5-3.mga9
+ Revision: 1772433
- rebuild for python3.10

* Thu Mar 18 2021 neoclust <neoclust> 2.8.5-2.mga9
+ Revision: 1704491
- Rebuild against python 3.9

* Fri Oct 23 2020 akien <akien> 2.8.5-1.mga8
+ Revision: 1638863
- Version 2.8.5

* Sun Feb 16 2020 umeabot <umeabot> 2.6.0-6.mga8
+ Revision: 1532714
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 2.6.0-5.mga8
+ Revision: 1442809
- rebuild for python3.8
- drop python2 support

* Fri Jul 19 2019 shlomif <shlomif> 2.6.0-4.mga8
+ Revision: 1422965
- fix build

* Wed Jan 09 2019 tv <tv> 2.6.0-4.mga7
+ Revision: 1352977
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.6.0-3.mga7
+ Revision: 1290014
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.6.0-2.mga7
+ Revision: 1135625
- Rebuild for python 3.6

* Fri Feb 10 2017 akien <akien> 2.6.0-1.mga6
+ Revision: 1085555
- import python-semantic_version from Fedora 26

